Bug 465205 - alsa-lib-devel i386 and x86_64 have conflicting documentation
alsa-lib-devel i386 and x86_64 have conflicting documentation
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jaroslav Kysela
Fedora Extras Quality Assurance
:
: 474539 475028 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 01:46 EDT by Jeremy Fitzhardinge
Modified: 2009-02-04 21:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 21:07:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Fitzhardinge 2008-10-02 01:46:51 EDT
Description of problem:
It's not possible to install both alsa-lib-devel.i386 and alsa-lib-devel.x86_64.  There are many file conflicts due to the documentation.

Version-Release number of selected component (if applicable):
1.0.18

How reproducible:
Always

Steps to Reproduce:
1. yum install alsa-lib-devel.i386
2. yum install alsa-lib-devel.x86_64
3.
  
Actual results:
The second install fails due to file conflicts.

Expected results:
Both packages install.

Additional info:

Many messages of the form:
  file /usr/share/doc/alsa-lib-devel-1.0.18/doxygen/html/pcm__adpcm_8c.html from install of alsa-lib-devel-1.0.18-6.rc3.fc10.i386 conflicts with file from package alsa-lib-devel-1.0.18-6.rc3.fc10.x86_64
  file /usr/share/doc/alsa-lib-devel-1.0.18/doxygen/html/pcm__alaw_8c.html from install of alsa-lib-devel-1.0.18-6.rc3.fc10.i386 conflicts with file from package alsa-lib-devel-1.0.18-6.rc3.fc10.x86_64
  file /usr/share/doc/alsa-lib-devel-1.0.18/doxygen/html/pcm__asym_8c.html from install of alsa-lib-devel-1.0.18-6.rc3.fc10.i386 conflicts with file from package alsa-lib-devel-1.0.18-6.rc3.fc10.x86_64
  file /usr/share/doc/alsa-lib-devel-1.0.18/doxygen/html/pcm__copy_8c.html from install of alsa-lib-devel-1.0.18-6.rc3.fc10.i386 conflicts with file from package alsa-lib-devel-1.0.18-6.rc3.fc10.x86_64
Comment 1 Bug Zapper 2008-11-25 22:26:55 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Pascal Hartig 2009-01-17 13:01:20 EST
Can confirm the bug for alsa-lib-devel-1.0.18-6.rc3.fc10.$(arch).rpm with arch=('i386', 'x86_64').

Paste: http://paste2.org/p/131316
Comment 3 Kevin DeKorte 2009-01-23 13:08:22 EST
Appears to still happen with

alsa-lib-devel       i386         1.0.19-1.fc10 
alsa-lib-devel       x86_64       1.0.19-1.fc10
Comment 4 Jaroslav Kysela 2009-02-04 05:31:33 EST
alsa-lib 1.0.19-2 packages should fix this issue.
Comment 5 Jaroslav Kysela 2009-02-04 07:24:39 EST
*** Bug 474539 has been marked as a duplicate of this bug. ***
Comment 6 Jaroslav Kysela 2009-02-04 07:27:15 EST
*** Bug 475028 has been marked as a duplicate of this bug. ***
Comment 7 Fedora Update System 2009-02-04 21:07:38 EST
alsa-lib-1.0.19-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.